%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define productname 	CMF
%define productver  	1.4.4

%define __find 		/usr/bin/find

Name:               zope-%{productname}
Summary:            CMF - Content Management Framework for Zope
Version:            %{productver}
Release:            1ied01
Group:              Applications/Internet
Provides:           zope-CMFTopic = %{productver}-%{release}
Provides:           zope-CMFDefault = %{productver}-%{release}
Provides:           zope-CMFCore = %{productver}-%{release}
Requires:           zope >= 2.7.0
Requires:           zope-CMFCalendar = %{productver}
Requires:           zope-DCWorkflow = %{productver}
License:            Zope Public License (ZPL)
URL:                http://cmf.zope.org/download/%{productname}-%{productver}
Source:             http://cmf.zope.org/download/%{productname}-%{productver}/%{productname}-%{productver}.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch
Patch1:             DCWorkflow-CMF-1.4.4-plus.patch

#----------------------------------------------------------------------
%description
The Content Management Framework (CMF) for Zope from Zope Corporation delivers
a powerful, tailored CMS in a fraction of the time of big vendors.

#----------------------------------------------------------------------
%package -n zope-CMFCalendar
Summary: A Calendar Tool for CMF package
Group: Applications/Internet
Requires: zope-CMF = %{productver}

%description -n zope-CMFCalendar
Calendar tool (portal_calendar) support for CMF portal. Additionaly
Event object (portal type) support.

#----------------------------------------------------------------------
%package -n zope-DCWorkflow
Summary: DCWorkflow - a custom workflow support for CMF
Group: Applications/Internet
Requires: zope-CMF = %{productver}

%description -n zope-DCWorkflow
A workflow support for CMF product. You can build custom workflows for
your CMF objects with web interface.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -q -n %{productname}-%{productver}
#
# upgrade DCWorkflow
#
%patch1 -p0

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

CMF_subdirs="CMFCalendar CMFCore CMFDefault CMFTopic DCWorkflow"

%{__mkdir_p} $RPM_BUILD_ROOT%{zopeproductsdir}
%{__cp} -pr $CMF_subdirs $RPM_BUILD_ROOT%{zopeproductsdir}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc README.txt INSTALL.txt CHANGES.txt HISTORY.txt LICENSE.txt INSTALL_CVS.txt

%dir %{zopeproductsdir}/CMFCore
%{zopeproductsdir}/CMFCore/*

%dir %{zopeproductsdir}/CMFDefault
%{zopeproductsdir}/CMFDefault/*

%dir %{zopeproductsdir}/CMFTopic
%{zopeproductsdir}/CMFTopic/*

#----------------------------------------------------------------------
%files -n zope-CMFCalendar
%defattr(-,root,root,0755)
%doc CMFCalendar/CREDITS.txt CMFCalendar/DEPENDENCIES.txt CMFCalendar/INSTALL.txt
%doc CMFCalendar/README.txt CMFCalendar/TODO.txt

%dir %{zopeproductsdir}/CMFCalendar
%{zopeproductsdir}/CMFCalendar/*

#----------------------------------------------------------------------
%files -n zope-DCWorkflow
%defattr(-,root,root,0755)
%doc DCWorkflow/CHANGES.txt DCWorkflow/README.txt

%dir %{zopeproductsdir}/DCWorkflow
%{zopeproductsdir}/DCWorkflow/*

#----------------------------------------------------------------------
%preun -n zope-CMFCalendar
%{__find} %{zopeproductsdir}/CMFCalendar -iname *.pyc -exec %{__rm} '{}' \;

%preun -n zope-DCWorkflow
%{__find} %{zopeproductsdir}/DCWorkflow -iname *.pyc -exec %{__rm} '{}' \;

%preun
%{__find} %{zopeproductsdir}/{CMFCore,CMFDefault,CMFTopic} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%changelog
* Wed Jun  9 2004 Wei He <hewei@ied.org.cn> 1.4.4-1ied01
- update URL in spec file

* Fri May 21 2004 Wei He <hewei@ied.org.cn> 1.4.4-1ied00
- updated to 1.4.4

* Wed May 12 2004 Wei He <hewei@ied.org.cn> 1.4.3-1ied00
- updated to 1.4.3
- updated DCWorkflow, CMFDefault and CMFTopic from cvs.zope.org
  to fix version.txt and indentations

* Wed Apr 21 2004 Wei He <hewei@ied.org.cn> 1.4.2-1ied00
- package name changed back to zope-CMF
- preun script case problem fixed

* Fri Feb 13 2004 Wei He <hewei@ied.org.cn> 1.4.2-0ied00
- updated to 1.4.2
- DCWorkflow re-added and updated to 0.5+
- DCWorkflow and CMFCalendar are now seperate packages
- package name changed from zope-CMF to CMF

* Tue Jan 13 2004 Wei He <hewei@ied.org.cn> 1.3.3-1ied00
- DCWorkflow removed from the package

* Fri Jan  9 2004 Wei He <hewei@ied.org.cn> 1.3.3-0ied00
- Initial release
